Package org.eclipse.emf.cdo.explorer.repositories

# Interface CDORepository

All Superinterfaces:
  `Adapter`, `CDOExplorerElement`, `CDOSessionProvider`, `CDOTransactionOpener`, `CDOViewOpener`, `Comparable<CDOExplorerElement>`, `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<CDOBranch>`, `org.eclipse.net4j.util.security.ICredentialsProvider`, `org.eclipse.net4j.util.security.ICredentialsProvider2`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.security.IPasswordCredentialsProvider`, `org.eclipse.net4j.util.security.IPasswordCredentialsProvider2`, `org.eclipse.net4j.util.security.IPasswordCredentialsUpdateProvider`

public interface CDORepository extends CDOExplorerElement, org.eclipse.net4j.util.container.IContainer<CDOBranch>, org.eclipse.net4j.util.security.IPasswordCredentialsProvider2, org.eclipse.net4j.util.security.IPasswordCredentialsUpdateProvider, org.eclipse.net4j.util.container.IManagedContainerProvider, CDOSessionProvider, CDOViewOpener, CDOTransactionOpener
A CDO server independent representation of a repository.

Since:
  4.4
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CDORepository.IDGeneration`
`static enum`
`CDORepository.State`
`static enum`
`CDORepository.VersioningMode`

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerElement

`CDOExplorerElement.StateChangedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider

`org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_ID_GENERATION`
`static final String`
`PROP_NAME`
`static final String`
`PROP_REALM`
`static final String`
`PROP_VERSIONING_MODE`
`static final String`
`TYPE_CLONE`
`static final String`
`TYPE_LOCAL`
`static final String`
`TYPE_REMOTE`

### Fields inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerElement

`PROP_DESCRIPTION, PROP_KEYWORDS, PROP_LABEL, PROP_TYPE`

## Method Summary

Modifier and Type
Method
Description
`CDOSession`
`acquireSession()`
`void`
`connect()`
`void`
`disconnect()`
`CDOCheckout[]`
`getCheckouts()`
`String`
`getConnectorDescription()`
`String`
`getConnectorType()`
`org.eclipse.net4j.util.container.IManagedContainer`
`getContainer()`
`org.eclipse.net4j.util.security.IPasswordCredentials`
`getCredentials()`
`CDORepository.IDGeneration`
`getIDGeneration()`
`String`
`getName()`
`CDOSession`
`getSession()`
`CDORepository.State`
`getState()`
`String`
`getURI()`
`CDORepository.VersioningMode`
`getVersioningMode()`
`boolean`
`isAuthenticating()`
`boolean`
`isClone()`
`boolean`
`isConnected()`
`boolean`
`isLocal()`
`boolean`
`isRemote()`
`void`
`releaseSession()`
`void`
`setCredentials(org.eclipse.net4j.util.security.IPasswordCredentials credentials)`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Methods inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerElement

`addKeyword, delete, getDescription, getError, getFolder, getID, getKeywords, getLabel, getProperties, getStateFolder, getStateFolder, getTransientProperties, getType, hasKeyword, removeKeyword, setDescription, setKeywords, setLabel`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionOpener

`openTransaction, openTransaction`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewOpener

`openView, openView`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.security.ICredentialsProvider

`isInteractive`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider2

`getCredentials`

### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsUpdateProvider

`getCredentialsUpdate, getCredentialsUpdate`

## Field Details

### PROP_NAME

static final String PROP_NAME

Since:
  4.15
See Also:
  - Constant Field Values

### PROP_VERSIONING_MODE

static final String PROP_VERSIONING_MODE

Since:
  4.15
See Also:
  - Constant Field Values

### PROP_ID_GENERATION

static final String PROP_ID_GENERATION

Since:
  4.15
See Also:
  - Constant Field Values

### PROP_REALM

static final String PROP_REALM

Since:
  4.15
See Also:
  - Constant Field Values

### TYPE_REMOTE

static final String TYPE_REMOTE

See Also:
  - Constant Field Values

### TYPE_CLONE

static final String TYPE_CLONE

See Also:
  - Constant Field Values

### TYPE_LOCAL

static final String TYPE_LOCAL

See Also:
  - Constant Field Values

## Method Details

### isRemote

boolean isRemote()

### isClone

boolean isClone()

### isLocal

boolean isLocal()

### getContainer

org.eclipse.net4j.util.container.IManagedContainer getContainer()

Specified by:
  `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`
Since:
  4.7

### getConnectorType

String getConnectorType()

### getConnectorDescription

String getConnectorDescription()

### getName

String getName()

### getURI

String getURI()

### getVersioningMode

CDORepository.VersioningMode getVersioningMode()

### getIDGeneration

CDORepository.IDGeneration getIDGeneration()

### isAuthenticating

boolean isAuthenticating()

Since:
  4.11

### getCredentials

org.eclipse.net4j.util.security.IPasswordCredentials getCredentials()

Specified by:
  `getCredentials` in interface `org.eclipse.net4j.util.security.ICredentialsProvider`
Specified by:
  `getCredentials` in interface `org.eclipse.net4j.util.security.IPasswordCredentialsProvider`

### setCredentials

void setCredentials(org.eclipse.net4j.util.security.IPasswordCredentials credentials)

### getState

CDORepository.State getState()

### isConnected

boolean isConnected()

### connect

void connect()

### disconnect

void disconnect()

### getCheckouts

CDOCheckout[] getCheckouts()

### getSession

CDOSession getSession()

Specified by:
  `getSession` in interface `CDOSessionProvider`

### acquireSession

CDOSession acquireSession()

### releaseSession

void releaseSession()